%define upstream_name    Event-Lib
%define upstream_version 1.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %upstream_version
Release:	%mkrel 5
License:	GPL+ or Artistic
Group:		Development/Perl
Summary:	Perl extentions for event-based programming
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Event/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	libevent-devel

%description
This module is a Perl wrapper around libevent(3) as available from the
http://www.monkey.org/~provos/libevent/ manpage. It allows to execute a
function whenever a given event on a filehandle happens, a timeout occurs
or a signal is received.

Under the hood, one of the available mechanisms for asynchronously dealing
with events is used. This could be 'select', 'poll', 'epoll', 'devpoll' or
'kqueue'. The idea is that you don't have to worry about those details and
the various interfaces they offer. _Event::Lib_ offers a unified interface
to all of them (but see the "CONFIGURATION" manpage further below).

Once you've skimmed through the next two sections (or maybe even now), you
should have a look at the "EXAMPLE: A SIMPLE TCP SERVER" manpage to get a
feeling about how it all fits together.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# those tests fail with test::harness 3.x
# cf  https://rt.cpan.org/Ticket/Display.html?id=35355
# and http://rt.cpan.org/Public/Bug/Display.html?id=36130
#rm t/20_signal.t t/51_cleanup_persistent.t
#make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-5.mga3
+ Revision: 366954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 01 2012 jquelin <jquelin> 1.30.0-4.mga3
+ Revision: 252874
- skip tests altogether, they fail with recent harness
- skip tests altogether, they fail with recent harness
- try to fix harness tests
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.30.0-3.mga2
+ Revision: 104243
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.30.0-2.mga1
+ Revision: 30220
- mageia rebuild
- cleaning spec file
- imported package perl-Event-Lib

